> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.scholarlysoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a credit line item



## OpenAPI

````yaml /openapi.json get /api/v1/credit_line_items/{id}
openapi: 3.1.0
info:
  title: Scholarly API V1
  version: v1
  description: API for accessing Scholarly data
  license:
    name: Proprietary
    identifier: Proprietary
servers:
  - url: https://api.scholarlysoftware.com
    description: Production server
security: []
paths:
  /api/v1/credit_line_items/{id}:
    parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - Credit Line Items
      summary: Get a credit line item
      operationId: getCreditLineItem
      parameters:
        - name: Authorization
          in: header
          required: true
          description: Bearer token
          schema:
            type: string
        - name: include
          in: query
          required: false
          description: >-
            Comma-separated list of relationships to include. Allowed:
            `profile`, `source`
          schema:
            type: string
      responses:
        '200':
          description: credit line item found
          content:
            application/vnd.api+json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/CreditLineItem'
                required:
                  - data
        '401':
          description: unauthorized
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: not found
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearer_auth: []
components:
  schemas:
    CreditLineItem:
      type: object
      properties:
        id:
          type: string
          format: uuid
        type:
          type: string
          const: credit_line_item
          example: credit_line_item
        attributes:
          type: object
          properties:
            created_at:
              type: string
              format: datetime
            updated_at:
              type: string
              format: datetime
            custom_fields:
              type:
                - object
                - 'null'
            transaction_date:
              type: string
              format: date
            amount:
              type: number
            description:
              type: string
            category:
              type:
                - string
                - 'null'
              enum:
                - adjustment
                - buyout
                - comment
                - course
                - expected_workload
                - leave
                - starting_balance
            status:
              type: string
              enum:
                - active
                - approved
                - completed
                - pending
                - rejected
                - withdrawn
            external_id:
              type:
                - string
                - 'null'
              example: EXT-12345
            term:
              type:
                - string
                - 'null'
            comment:
              type:
                - string
                - 'null'
        relationships:
          type: object
          properties:
            profile:
              type: object
              properties:
                links:
                  type: object
                  properties:
                    related:
                      type: string
                      format: uri
                  required:
                    - related
                meta:
                  type: object
                data:
                  type: object
                  required:
                    - type
                    - id
                  properties:
                    type:
                      type: string
                      const: profile
                      example: profile
                    id:
                      type: string
                      format: uuid
              anyOf:
                - required:
                    - links
                - required:
                    - meta
                - required:
                    - data
            source:
              type: object
              properties:
                links:
                  type: object
                  properties:
                    related:
                      type:
                        - string
                        - 'null'
                      format: uri
                  required:
                    - related
                meta:
                  type: object
                data:
                  oneOf:
                    - type: object
                      required:
                        - type
                        - id
                      properties:
                        type:
                          type: string
                        id:
                          type: string
                          format: uuid
                    - type: 'null'
              anyOf:
                - required:
                    - links
                - required:
                    - meta
                - required:
                    - data
      required:
        - id
        - type
        - attributes
    Error:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              status:
                type: string
              title:
                type: string
              detail:
                type: string
            required:
              - status
              - title
      required:
        - errors
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````